summaryrefslogtreecommitdiff
path: root/targets/buildtarget
diff options
context:
space:
mode:
authorGreg Watson <jarrah@users.sourceforge.net>2003-07-17 17:50:11 +0000
committerGreg Watson <jarrah@users.sourceforge.net>2003-07-17 17:50:11 +0000
commita8d2240e6ace307dd11ffb3a26ee58fd1ad1e066 (patch)
tree7419a4ad973c04228266967cc3ed18a7b8663cde /targets/buildtarget
parent062d540139467956e8389cb7094a3d1993ca29de (diff)
downloadcoreboot-a8d2240e6ace307dd11ffb3a26ee58fd1ad1e066.tar.xz
sick of typing python command
git-svn-id: svn://svn.coreboot.org/coreboot/trunk@975 2b7e53f0-3cfb-0310-b3e9-8179ed1497e1
Diffstat (limited to 'targets/buildtarget')
-rwxr-xr-xtargets/buildtarget40
1 files changed, 40 insertions, 0 deletions
diff --git a/targets/buildtarget b/targets/buildtarget
new file mode 100755
index 0000000000..f519fd36b7
--- /dev/null
+++ b/targets/buildtarget
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Target build script
+
+if [ $# -lt 1 ]; then
+ echo "usage: buildtarget target [path-to-linuxbios]"
+ exit 1
+fi
+
+if [ $# -gt 1 ]; then
+ lbpath=$2
+else
+ lbpath=`pwd`
+ lbpath=`dirname $lbpath`
+fi
+
+target_dir=$lbpath/targets
+config_lb=$1/Config.lb
+config_py=$lbpath/util/newconfig/config.py
+
+if [ ! -d $target_dir ]; then
+ echo "Target directory not found"
+ exit 1
+fi
+
+cd $target_dir
+
+if [ ! -f $config_lb ]; then
+ echo "No target config file found"
+ exit 1
+fi
+
+if [ ! -f $config_py ]; then
+ echo "No linuxbios config file found"
+ exit 1
+fi
+
+python $config_py $config_lb $lbpath
+
+exit $?